#!/bin/sh
export PATH='/sbin:/bin:/usr/sbin:/usr/bin:/usr/games:/usr/local/sbin:/usr/local/bin:/root/bin'
echo 'name: DrIFT
version: 2.4.2
id: DrIFT-2.4.2-d9d41862f3f3c09566ab19e3a566f031
key: DrIFT_8fHgYVA223cG3LJIQZJm2j
license: BSD3
maintainer: gwern <gwern0@gmail.com>, Metasepi team <metasepi@gmail.com>
homepage: http://repetae.net/computer/haskell/DrIFT/
synopsis: Program to derive type class instances
description:
    Data.Derive <http://hackage.haskell.org/package/derive> is good another solution for DrFIT.
    But DrFIT is Haskell 98 compliant, derive is not.
    .
    DrIFT is a type sensitive preprocessor for Haskell. It extracts type declarations
    and directives from modules. The directives cause rules to be fired on the parsed
    type declarations, generating new code which is then appended to the bottom of the input
    file. The rules are expressed as Haskell code, and it is intended that the user can add new
    rules as required.
    .
    DrIFT automates instance derivation for classes that aren'\''t supported by the standard compilers.
    In addition, instances can be produced in seperate modules to that containing the type declaration.
    This allows instances to be derived for a type after the original module has been compiled.
    As a bonus, simple utility functions can also be produced from a type.
    .
    This package was cabalized by gwern <gwern0@gmail.com>.
category: Data Structures
author: Noel Winstanley, John Meacham <john@repetae.net>
exposed: True
exposed-modules:
    DrIFT.Version
trusted: False
import-dirs: /usr/local/lib/cabal/ghc-7.10.2/DrIFT-2.4.2
library-dirs: /usr/local/lib/cabal/ghc-7.10.2/DrIFT-2.4.2
              /usr/local/lib
data-dir: /usr/local/share/cabal/ghc-7.10.2/DrIFT-2.4.2
hs-libraries: HSDrIFT-2.4.2-8fHgYVA223cG3LJIQZJm2j
include-dirs: /usr/local/include
depends:
    base-4.8.1.0-9cc67f4e5e6328730727313d0bc5e35f
haddock-interfaces: /usr/local/share/doc/cabal/ghc-7.10.2/DrIFT-2.4.2/html/DrIFT.haddock
haddock-html: /usr/local/share/doc/cabal/ghc-7.10.2/DrIFT-2.4.2/html
' | '/usr/local/bin/ghc-pkg' 'update' '-' '--global' '--no-user-package-db' "$@"
